View Issue Details

IDProjectCategoryView StatusLast Update
0031594CommunityOCCT:Modeling Algorithmspublic2021-10-21 19:59
Reporterjensgw Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionno change required 
PlatformWindowsOSVC++ 2013 
Product Version7.4.0 
Summary0031594: BRepBuilderAPI_MakeWire cannot create wire in special case
DescriptionProduct Version is 7.4.0 but that can not be selected in the dropdown above.

BRepBuilderAPI_MakeWire reports BRepBuilderAPI_DisconnectedWire instead of creating a Wire.

Attached is a zip containing:
- a brep with 3 curves.
- pseudocode (java) showing the triggering algorithm
Steps To ReproduceLoad three curves from brep file.
Use BRepBuilderAPI_MakeWire as indictated in the pseudocode.
View error message.
TagsNo tags attached.
Test case number

Attached Files

  • BRepBuilderAPI_MakeWireExample.zip (4,130 bytes)

Activities

jensgw

2020-06-02 23:31

reporter  

BRepBuilderAPI_MakeWireExample.zip (4,130 bytes)

jensgw

2021-10-08 11:57

reporter   ~0104543

To clarify, a wire cannot be created with all the curves in the brep file.

ifv

2021-10-08 14:01

developer   ~0104545

Last edited: 2021-10-08 14:02

It is not a bug.
Vertex tolerances, that are 1.e-4 are less then maximal distance between vertices of edges, which is ~0.005. The edges cannot be connected.

jensgw

2021-10-08 14:29

reporter   ~0104546

>It is not a bug.
It is a bug, in this case the tolerances have nothing to do with the actual issue. You can see for yourselv with plain draw.exe.

1) Load the brep into draw.exe.
2) explode the compound into its consisting wires and edges
3) create a wire
4) save the wire
5) restore the saved wire

pload ALL
restore $FILENAME theShapes
axo
fit
//see closed shape
explode theShapes
//this gives theShapes_1
explode theShapes_1
//gives theShapes_1_1 theShapes_1_2 and theShapes_1_3
wire w1 theShapes_1_1 theShapes_1_2 theShapes_1_3
save w1 wire.brep
clear
restore wire.brep
axo
fit
//see missing line

msv

2021-10-08 15:01

developer   ~0104549

jensgw, this is not a bug because the input data cannot be used as it is as input to the MakeWire algorithm. The distance between ends of adjacent edges is about 0.006, while the vertices tolerances are 1e-7. If you increase tolerance of needed vertices the algorithm will connect them in one wire.

msv

2021-10-08 16:40

developer   ~0104555

Please close this bug.

jensgw

2021-10-08 17:52

reporter   ~0104557

Indeed it seems to work with a higher tolerance value. Sorry for the inconvenience. Please close this.

Issue History

Date Modified Username Field Change
2020-06-02 23:31 jensgw New Issue
2020-06-02 23:31 jensgw Assigned To => msv
2020-06-02 23:31 jensgw File Added: BRepBuilderAPI_MakeWireExample.zip
2021-10-08 11:55 ifv Assigned To msv => ifv
2021-10-08 11:55 ifv Status new => assigned
2021-10-08 11:57 jensgw Note Added: 0104543
2021-10-08 12:07 kgv Product Version 7.3.0 => 7.4.0
2021-10-08 14:01 ifv Note Added: 0104545
2021-10-08 14:01 ifv Assigned To ifv => szy
2021-10-08 14:01 ifv Status assigned => resolved
2021-10-08 14:02 ifv Note Edited: 0104545
2021-10-08 14:29 jensgw Note Added: 0104546
2021-10-08 15:01 msv Note Added: 0104549
2021-10-08 16:20 kgv Severity major => minor
2021-10-08 16:20 kgv Resolution open => no change required
2021-10-08 16:40 msv Note Added: 0104555
2021-10-08 16:40 msv Assigned To szy => bugmaster
2021-10-08 16:40 msv Status resolved => feedback
2021-10-08 17:52 jensgw Note Added: 0104557
2021-10-21 19:59 bugmaster Status feedback => closed